---
updatedAt: 2025-05-22T20:26:49.000Z
agentTools:
  projectIndex: https://docs.klarda.com/llms.txt
---

# Get New Token List

The Get New Token List API allows you to easily fetch the token listed in Klarda

## Definition

This endpoint retrieves a list of newly launched tokens, filtered by category and managed through pagination. It allows users to discover recent token additions in specific categories.

## Query Parameters

For guidance on how to leverage this method, check out the following tutorials:

1. **category** (string): The category of tokens to filter by (e.g., DeFi, NFT, Stablecoins, etc.). This parameter helps in narrowing down the search to specific types of newly launched tokens.
2. **page** (int): The page number for paginated results. Default value is 1.
3. **limit** (int): The maximum number of records to return per page. Default value is 10.

## Response

The response will include a JSON object containing a list of newly launched tokens that match the specified criteria. Each token entry will include details such as the token's name, symbol, launch date, and other relevant information.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "klarda-token-market-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.klarda.com/api/v1/market"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/token/new": {
      "get": {
        "summary": "Get New Token List",
        "description": "The Get New Token List API allows you to easily fetch the token listed in Klarda",
        "operationId": "get-new-token-list",
        "parameters": [
          {
            "name": "category",
            "in": "query",
            "description": "String - A string array that separate by comma (\",\"). For the list of Klarda's category, please use the endpoint klarda_getTokenCategory. Defaults to all category if not defined.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "Int - Defines the page number of the results to be retrieved from a paginated dataset. Default to 1.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Int - Defines the maximum number of items to be returned per page in a paginated dataset. Default to 10.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 10
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Succeed": {
                    "value": "{\n  \"success\": true,\n  \"data\": {\n    \"total\": 9997,\n    \"result\": [\n      {\n        \"name\": \"Bored Museum\",\n        \"symbol\": \"BORED\",\n        \"market_cap\": 0,\n        \"category\": \"NFT\",\n        \"price\": 5.994e-9,\n        \"volume\": 2032660722.8048,\n        \"updated_at\": \"2024-04-19T06:30:54.329Z\"\n      }]\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "total": {
                          "type": "integer",
                          "example": 9997,
                          "default": 0
                        },
                        "result": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "type": "string",
                                "example": "Bored Museum"
                              },
                              "symbol": {
                                "type": "string",
                                "example": "BORED"
                              },
                              "market_cap": {
                                "type": "integer",
                                "example": 0,
                                "default": 0
                              },
                              "category": {
                                "type": "string",
                                "example": "NFT"
                              },
                              "price": {
                                "type": "number",
                                "example": 5.994e-9,
                                "default": 0
                              },
                              "volume": {
                                "type": "number",
                                "example": 2032660722.8048,
                                "default": 0
                              },
                              "updated_at": {
                                "type": "string",
                                "example": "2024-04-19T06:30:54.329Z"
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 400,\n  \"message\": \"Wrong api_key, please check!\",\n  \"error\": \"Bad Request\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Wrong api_key, please check!"
                    },
                    "error": {
                      "type": "string",
                      "example": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 401,\n  \"message\": \"Unauthorized\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 500,\n  \"message\": \"Internal server error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```